EZ_GetDisplayInfo(3)

NAME
EZ_GetDisplay, EZ_GetVisual, EZ_GetScreen, EZ_GetDepth, EZ_GetDisplayInfo, EZ_GetColormap - retrieve information about the display and visual

SYNOPSIS
#include <EZ.h>

Display *EZ_GetDisplay(void)
int      EZ_GetScreen(void)
Visual  *EZ_GetVisual(void)
int      EZ_GetDepth(void)
void     EZ_GetDisplayInfo( Display **dpy_return,  int *scrn_return,
                           Visual **vis_return, int *depth_return)
Colormap EZ_GetColormap(void)

ARGUMENTS
dpy_return Returns the display.

scrn_return Returns the screen.

vis_return Returns the visual.

depth_return Returns the depth.

DESCRIPTION

EZ_GetDisplay returns the connection to the X server.

EZ_GetScreen returns the screen number.

EZ_GetVisual returns the visual used by EZWGL.

EZ_GetDepth returns the depth of the selected visual.

EZ_GetDisplayInfo returns the display/visual characteristics described above.

EZ_GetColormap returns the colormap used by EZWGL.

SEE ALSO
EZ_GetNumberOfAllocatedColors(3)
EZ_GetNumberOfReservedColorsForGL(3)